Subject: Re: bug#29389: C-x b oc<TAB> couldn't find "*Occur*" buffer

From: John Mastro <[email-masked]>
Date: Tue, 21 Nov 2017 15:33:42 -0800

積丹尼 Dan Jacobson <[email-masked]> wrote:
> C-x b runs the command switch-to-buffer.
>
> It usually is good guessing names via tab expansion, but today when I
> typed
>
> C-x b oc<TAB>
>
> it couldn't find any buffer, so I had to do
>
> C-x b Oc<TAB>
>
> to be able to expand to the "*Occur*" buffer (that I created earlier
> using M-x occur.)

You just need to set read-buffer-completion-ignore-case to non-nil.

There are also variables completion-ignore-case and
read-file-name-completion-ignore-case for other completion scenarios.

        John